package eu.eudat.core.models.exception;

import eu.eudat.core.models.LoggingModel;
import org.springframework.http.HttpStatus;

import java.util.Map;

/**
 * Created by ikalyvas on 6/12/2018.
 */
public class ApiExceptionLoggingModel<E, P> extends LoggingModel<E> {
    private HttpStatus code;
    private P user;
    private final String indexType = "api-exception-logging";

    public String getIndexType() {
        return indexType;
    }

    public P getUser() {
        return user;
    }

    public void setUser(P user) {
        this.user = user;
    }

    public HttpStatus getCode() {
        return code;
    }

    public void setCode(HttpStatus code) {
        this.code = code;
    }
}
